package cn.com.qmth.stmms.biz.report.utils.module;

import org.apache.commons.lang.StringUtils;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectClassService;
import cn.com.qmth.stmms.biz.report.utils.Module;
import cn.com.qmth.stmms.biz.report.utils.ReportContext;
import cn.com.qmth.stmms.biz.utils.SpringContextHolder;

public class SubjectClassModule extends SubjectModule implements Module {

    public SubjectClassModule(ReportContext context) {
        super(context);
    }

    public String getKey(ExamStudent student) {
        return student.getSubjectCode() + "\t" + StringUtils.trimToEmpty(student.getClassName());
    }

    public void save() {
        ReportSubjectClassService service = SpringContextHolder.getBean(ReportSubjectClassService.class);
    }

}
