package cn.com.qmth.stmms.biz.report.utils.unit;

import java.util.HashMap;
import java.util.Map;

public class RangeCounter {

    public int totalCount;

    public double interval;

    public Map<Double, Integer> map;

    public RangeCounter() {
        this.interval = 1;
        this.map = new HashMap<Double, Integer>();
    }

    public void process(double score) {
        totalCount++;
        // 取最接近的分段起始分数
        double min = Math.floor(score);
        while ((min + interval) < score) {
            min += interval;
        }
        // 以起始分数为key，累加计数结果
        Integer count = map.get(min);
        if (count == null) {
            count = 0;
        }
        count++;
        map.put(min, count);
    }
}
